extractr docs
Management

Update email notification preferences

PUT
/manage/notifications

Authorization

BearerAuth
AuthorizationBearer <token>

Clerk session token (dashboard/management routes). In local dev mode use the X-Dev-User header instead.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/manage/notifications" \  -H "Content-Type: application/json" \  -d '{    "lowBalance": true,    "lowBalanceThresholdCredits": 500,    "receipts": true,    "productUpdates": true  }'
{  "lowBalance": true,  "lowBalanceThresholdCredits": 500,  "receipts": true,  "productUpdates": true}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}